############################
The :mod:`gen.proxy` Module
############################

.. automodule:: gen.proxy

Proxy Base
====================================
.. automodule:: gen.proxy.proxybase
   :members:
   :undoc-members:
   :show-inheritance:

Filter
====================================
.. automodule:: gen.proxy.filter
   :members:
   :undoc-members:
   :show-inheritance:

Living
====================================
.. automodule:: gen.proxy.living
   :members:
   :undoc-members:
   :show-inheritance:

Private
====================================
.. automodule:: gen.proxy.private
   :members:
   :undoc-members:
   :show-inheritance:

References
====================================
.. automodule:: gen.proxy.referenced
   :members:
   :undoc-members:
   :show-inheritance:
.. automodule:: gen.proxy.referencedbyselection
   :members:
   :undoc-members:
   :show-inheritance:
